### Method

# AppStreamCompose Result gcid_for_cid

#### Declaration [src]

    const gchar*
    asc_result_gcid_for_cid (
      AscResult* result,
      const gchar* cid
    )

#### Description [src]

Retrieve the global component-ID string for the given component-ID, as long as component with the given ID is registered with this `AscResult`. Otherwise, `NULL` is returned.

#### Parameters

`cid`

  Type: `const gchar*`

  Component ID to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

No description available.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.